Subject: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse

From: Po Lu <[email-masked]>
Date: Tue, 30 Aug 2022 18:07:08 +0800

Visuwesh <[email-masked]> writes:

> What exactly does "do this from another machine" mean?  I would like to
> help debug this but I don't understand what you mean: do you mean to
> control my computer running Emacs from another physical computer?

Yes, as long as:

 - the Emacs window remains in the same stacking order as when the mouse
   button was pressed.

 - you do not use the mouse or keyboard again.

 - input devices remain attached (meaning that you cannot do things such
   as switch to another virtual terminal.)

So in effect, the only practical way to debug menu grabs is to run the
debugger from another physical machine.  (Unless you have multiple X
servers with their own keyboards and mice running simultaneously.)